import 'package:lokalise_flutter_sdk/ota/model/label_tr.dart';
import 'package:lokalise_flutter_sdk/otav2/domain/models/language_bundle.dart';

class Bundle {
  /// The project id is needed to be able to check the
  /// cached data is related to the project which is
  /// configured in the SDK.
  final String projectId;

  /// We need to know the translation version to know which version
  /// we have cached before requesting a new version of them.
  final int translationVersion;

  /// We need to know the app version of the cached translation
  /// to be able to clean them after a new release of the app.
  final String appVersion;

  final List<LanguageBundle> languageBundles;

  Bundle({
    required this.projectId,
    required this.translationVersion,
    required this.appVersion,
    required this.languageBundles,
  });

  @Deprecated('To have compatibility with the old code')
  Map<String, Map<String, LabelTr>> get legacyTranslations => {
        for (final e in languageBundles)
          e.locale: e.translations.map(
            (key, value) => MapEntry(
              key,
              LabelTr(
                key: key,
                // ignore: deprecated_member_use_from_same_package
                value: value.original,
              ),
            ),
          )
      };
}
